org.optaplanner.core.impl.domain.valuerange.descriptor

## Class AbstractValueRangeDescriptor<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Implemented Interfaces:
    ValueRangeDescriptor<Solution_>
  Direct Known Subclasses:
    AbstractFromPropertyValueRangeDescriptor, CompositeValueRangeDescriptor

      public abstract class AbstractValueRangeDescriptor<Solution_>
      extends Object
      implements ValueRangeDescriptor<Solution_>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `addNullInValueRange`
    `protected GenuineVariableDescriptor<Solution_>` | `variableDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractValueRangeDescriptor(GenuineVariableDescriptor<Solution_> variableDescriptor, boolean addNullInValueRange)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T> ValueRange<T>` | `doNullInValueRangeWrapping(ValueRange<T> valueRange)`
    `GenuineVariableDescriptor<Solution_>` | `getVariableDescriptor()`
    `boolean` | `mightContainEntity()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.domain.valuerange.descriptor.ValueRangeDescriptor

      `extractValueRange, isCountable, isEntityIndependent`

- - ### Field Detail

    - #### variableDescriptor

          protected final GenuineVariableDescriptor<Solution_> variableDescriptor

    - #### addNullInValueRange

          protected final boolean addNullInValueRange

  - ### Constructor Detail

    - #### AbstractValueRangeDescriptor

          public AbstractValueRangeDescriptor(GenuineVariableDescriptor<Solution_> variableDescriptor,
                                              boolean addNullInValueRange)

  - ### Method Detail

    - #### getVariableDescriptor

          public GenuineVariableDescriptor<Solution_> getVariableDescriptor()

      Specified by:
        `getVariableDescriptor` in interface `ValueRangeDescriptor<Solution_>`
      Returns:
        never null

    - #### mightContainEntity

          public boolean mightContainEntity()

      Specified by:
        `mightContainEntity` in interface `ValueRangeDescriptor<Solution_>`
      Returns:
        true if the `ValueRange` might contain a planning entity instance (not necessarily of the same entity class as this entity class of this descriptor.

    - #### doNullInValueRangeWrapping

          protected <T> ValueRange<T> doNullInValueRangeWrapping(ValueRange<T> valueRange)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.